#!/bin/bash

#this scripts removes N head lines and M tail lines from the stream piped
#usage: remove-lines N M

index=0
start="$1"
end="$2"

while read line;
do
  index=$(($index+1));

  if [ "$index" -gt "$(($start+$end))" ];
  then
    echo "${buffer[$end]}";
  fi

  for count in `seq $end -1 1`;
  do
    buffer[$count]="${buffer[$(($count-1))]}";
  done
  buffer[0]="$line";
done